Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357811 - Bad advice from abrt gui
Summary: Bad advice from abrt gui
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Smetana
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-19 08:54 UTC by Jonathan Wakely
Modified: 2016-12-20 21:12 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 21:12:36 UTC


Attachments (Terms of Use)
Screenshot of bad advice dialog. (deleted)
2016-07-19 08:55 UTC, Jonathan Wakely
no flags Details

Description Jonathan Wakely 2016-07-19 08:54:22 UTC
Description of problem:

While trying to report yet another plasmashell crash (which turned out to be unreportable because the backtrace was unusable) I got a dialog telling me:

An update exists which might fix your problem. You can install it by running: yum update --enablerepo=fedora --enablerepo=updates-testing plasma-mediacenter-5.6.2-1.fc23 hawaii-system-preferences-0.6.90-0.2.20160301git.fc23 plasma-oxygen-5.6.2-1.fc23 kgamma-5.6.2-1.fc23 kde-gtk-config-5.6.2-1.fc23 breeze-gtk-5.6.2-1.fc23 plasma-sdk-5.6.2-1.fc23 spectacle-15.12.3-2.fc23 plasma-workspace-wallpapers-5.6.2-1.fc23 plasma-user-manager-5.6.2-1.fc23 lxqt-config-0.10.0-5.fc23


Firstly, this should suggest DNF not Yum, secondly, it doesn't work:


yum update --enablerepo=fedora --enablerepo=updates-testing plasma-mediacenter-5.6.2-1.fc23 hawaii-system-preferences-0.6.90-0.2.20160301git.fc23 plasma-oxygen-5.6.2-1.fc23 kgamma-5.6.2-1.fc23 kde-gtk-config-5.6.2-1.fc23 breeze-gtk-5.6.2-1.fc23 plasma-sdk-5.6.2-1.fc23 spectacle-15.12.3-2.fc23 plasma-workspace-wallpapers-5.6.2-1.fc23 plasma-user-manager-5.6.2-1.fc23 lxqt-config-0.10.0-5.fc23
Yum command has been deprecated, redirecting to '/usr/bin/dnf update --enablerepo=fedora --enablerepo=updates-testing plasma-mediacenter-5.6.2-1.fc23 hawaii-system-preferences-0.6.90-0.2.20160301git.fc23 plasma-oxygen-5.6.2-1.fc23 kgamma-5.6.2-1.fc23 kde-gtk-config-5.6.2-1.fc23 breeze-gtk-5.6.2-1.fc23 plasma-sdk-5.6.2-1.fc23 spectacle-15.12.3-2.fc23 plasma-workspace-wallpapers-5.6.2-1.fc23 plasma-user-manager-5.6.2-1.fc23 lxqt-config-0.10.0-5.fc23'.
See 'man dnf' and 'man yum2dnf' for more information.
To transfer transaction metadata from yum to DNF, run:
'dnf install python-dnf-plugins-extras-migrate && dnf-2 migrate'

Last metadata expiration check: 0:12:02 ago on Tue Jul 19 09:40:07 2016.
No match for argument: plasma-mediacenter-5.6.2-1.fc23
No match for argument: hawaii-system-preferences-0.6.90-0.2.20160301git.fc23
No match for argument: plasma-oxygen-5.6.2-1.fc23
No match for argument: kgamma-5.6.2-1.fc23
No match for argument: kde-gtk-config-5.6.2-1.fc23
No match for argument: breeze-gtk-5.6.2-1.fc23
No match for argument: plasma-sdk-5.6.2-1.fc23
Package spectacle not installed, cannot update it.
No match for argument: spectacle-15.12.3-2.fc23
No match for argument: plasma-workspace-wallpapers-5.6.2-1.fc23
No match for argument: plasma-user-manager-5.6.2-1.fc23
Package lxqt-config not installed, cannot update it.
No match for argument: lxqt-config-0.10.0-5.fc23
Error: No packages marked for upgrade.





Version-Release number of selected component (if applicable):

abrt-2.8.0-5.fc23.x86_64

Comment 1 Jonathan Wakely 2016-07-19 08:55:04 UTC
Created attachment 1181520 [details]
Screenshot of bad advice dialog.

Comment 2 Jakub Filak 2016-07-25 12:30:06 UTC
Thank you for the report. We'll update the name of package manager and clearly state that the command will install the updated package if you use only the default fedora repositories. IMHO we cannot do more here.

Comment 3 Jonathan Wakely 2016-07-25 12:54:51 UTC
So the command failed because I have non-default repos enabled? Are you sure?

All the packages are standard fedora packages in the default repos. Why did ALL of them fail to match?

Comment 4 Jakub Filak 2016-07-25 13:08:17 UTC
I forgot to mention that there is one more problem that needs to be fixed. The command misses "--enablerepo=updates". However, the command might fail for other reasons because ABRT relies on data entered to the Bugzilla bug that were identified as a duplicate of your crash. And ABRT also relies on data entered to the bodhi update for the Bugzilla bug.

Comment 5 Jakub Filak 2016-08-05 11:50:25 UTC
https://github.com/abrt/abrt/pull/1172

Comment 7 Fedora End Of Life 2016-11-25 09:26:43 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2016-12-20 21:12:36 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.